Loading...
Searching...
No Matches
gr::blocks::kernel::block_interleaving Class Reference

`#include <gnuradio/blocks/blockinterleaving.h>`

## Public Member Functions

| block_interleaving (std::vector< size_t > interleaver_indices)
size_t | interleaver_length ()
std::vector< size_t > | interleaver_indices ()
std::vector< size_t > | deinterleaver_indices ()
template<class T>
void | interleave (T *target, const T *src)
template<class T>
void | deinterleave (T *target, const T *src)

## Constructor & Destructor Documentation

## block_interleaving()

gr::blocks::kernel::block_interleaving::block_interleaving | ( | std::vector< size_t > | interleaver_indices | ) |

References interleaver_indices().

## Member Function Documentation

## deinterleave()

template<class T>

void gr::blocks::kernel::block_interleaving::deinterleave | ( | T * | target,
|  | const T * | src )

inline

## deinterleaver_indices()

std::vector< size_t > gr::blocks::kernel::block_interleaving::deinterleaver_indices | ( |  | ) |

inline

## interleave()

template<class T>

void gr::blocks::kernel::block_interleaving::interleave | ( | T * | target,
|  | const T * | src )

inline

## interleaver_indices()

std::vector< size_t > gr::blocks::kernel::block_interleaving::interleaver_indices | ( |  | ) |

inline

Referenced by block_interleaving().

## interleaver_length()

size_t gr::blocks::kernel::block_interleaving::interleaver_length | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- blockinterleaving.h